#include <iostream>
#include <exception>
#include <cstdlib>
#include <utility>



void print(const Int_vector& vec) {
	std::cout << "\n";
	auto first=true;
	for(auto i=0; i<vec.size(); i++) {
		if(first) first=false;
		else      std::cout << ", ";
		std::cout << vec[i];
	}
	std::cout << "\n";
}

int main() {
	auto vec = Int_vector();
	
	for(auto i=0; i<15; i++) {
		vec.push_back(i);
		std::cout << i << " ";
	}
	std::cout << "\n";
	
	vec[0] = 42;
	
	vec.pop_back();
	vec.pop_back();
	
	print(vec);
}

